SecurityTracker.com
Keep Track of the Latest Vulnerabilities
with SecurityTracker!
    Home    |    View Topics    |    Search    |    Contact Us    |   

SecurityTracker
Archives


 
Sign Up
Sign Up for Your FREE Weekly SecurityTracker E-mail Alert Summary
Instant Alerts
Buy our Premium Vulnerability Notification Service to receive customized, instant alerts
Affiliates
Put SecurityTracker Vulnerability Alerts on Your Web Site -- It's Free!
Partners
Become a Partner and License Our Database or Notification Service





Category:   Application (Generic)  >   Perl Vendors:   Wall, Larry
Perl Function Integer/Heap Overflows Let Local Users Obtain Potentially Sensitive Information or Remote Users Execute Arbitrary Code in Certain Cases
SecurityTracker Alert ID:  1042181
SecurityTracker URL:  http://securitytracker.com/id/1042181
CVE Reference:   CVE-2018-18311, CVE-2018-18312, CVE-2018-18313, CVE-2018-18314   (Links to External Site)
Date:  Nov 29 2018
Impact:   Disclosure of system information, Disclosure of user information, Execution of arbitrary code via network, User access via network
Fix Available:  Yes  Vendor Confirmed:  Yes  
Version(s): 5.26, 5.28
Description:   Several vulnerabilities were reported in Perl. A local user can obtain potentially sensitive information. A remote user can execute arbitrary code on the target system in certain cases.

A local user can trigger an integer overflow in Perl_my_setenv() to cause a heap overflow and segmentation fault [CVE-2018-18311]. Version 5.28 is affected.

A remote user user can create a specially crafted regular expression to cause a heap overflow in S_regatom in 'regcomp.c' during compilation and potentially execute arbitrary code [CVE-2018-18312]. Version 5.28 is affected.

A remote user can create a specially crafted regular expression to cause a heap overflow in S_grok_bslash_N in 'regcomp.c' during compilation and disclose potentially sensitive information [CVE-2018-18313].

A remote user can create a specially crafted regular expression to cause a heap overflow in S_regatom in 'regcomp.c' during compilation and potentially execute arbitrary code [CVE-2018-18314].

Jayakrishna Menon, Christophe Hauser, Eiichi Tsukata, and Jakub Wilk reported these vulnerabilities.

Impact:   A local user can obtain potentially sensitive information on the target system.

A remote user can execute arbitrary code on the target system in certain cases.

Solution:   The vendor has issued a fix (5.26.3, 5.28.1).

The vendor advisory is available at:

https://metacpan.org/changes/release/SHAY/perl-5.26.3

Vendor URL:  metacpan.org/changes/release/SHAY/perl-5.26.3 (Links to External Site)
Cause:   Access control error, Boundary error
Underlying OS:  Linux (Any), UNIX (Any), Windows (Any)

Message History:   None.


 Source Message Contents



[Original Message Not Available for Viewing]


Go to the Top of This SecurityTracker Archive Page





Home   |    View Topics   |    Search   |    Contact Us

This web site uses cookies for web analytics. Learn More

Copyright 2018, SecurityGlobal.net LLC